OnlyFans API
OnlyFansPosts

Update Post

Update a posted, queued, or "saved for later" post.

PUT
/api/{account}/posts/{post_id}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

post_id*integer

The ID of the post

Request Body

application/json

text*string

The post text content

labelIds?string

Array of OF label IDs. Refer to our /posts/labels endpoint.

price?integer

Price for paid content (0 or between 3-100). In case this is not zero, mediaFiles is required

mediaFiles?string

Array of OFAPI ofapi_media_ IDs, or OF media IDs

rfTag?string

Array OnlyFans creator user IDs to tag in your post

expireDays?integer

Number of days after which the post will expire. Between 1 and 30 days. Keep empty for no expiration.

scheduledDate?string

Schedule your post in the future (UTC timezone).

saveForLater?boolean

Add your post to the "Saved for later" queue.

fundRaisingTargetAmount?integer

Add a fundraising target to your post. If present, value must be at least 10.

fundRaisingTipsPresets?array<string>

Specify which tip amounts will be listed under the fundraising card. Required with fundRaisingTargetAmount, and you must provide at least 1 option. Array items cannot be higher than the fundRaisingTargetAmount.

votingType?string

Include a poll or quiz within your post.

Value in"poll" | "quiz"
votingDue?integer

The due date (in days) of your poll/quiz. Can be 1, 3, 7 or 30 days. Can only be filled with votingType.

votingOptions?array<string>

The options of your poll/quiz. Required with votingType.

votingCorrectIndex?integer

The array key of your quiz' correct answer. Required when votingType is "quiz". Keep in mind that arrays start at 0

Response Body

text/plain

curl -X PUT "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/posts/1234567890" \  -H "Content-Type: application/json" \  -d '{    "text": "Hello!"  }'
""